Get the configuration
curl --request GET \
--url https://api.zelinqa.ai/v1/configuration \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.zelinqa.ai/v1/configuration"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.zelinqa.ai/v1/configuration', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"request_id": "<string>",
"state": "published",
"objective": {
"name": "<string>",
"qualification_level": "essential",
"max_turns": 50,
"candidates_per_call": 5,
"order_strength": 0.5
},
"sub_objectives": [
{
"id": "<string>",
"name": "<string>",
"order_position": 1,
"completion_role": "blocking"
}
],
"success_informations": [
{
"id": "<string>",
"label": "<string>",
"schema": {},
"primary_question_id": "<string>"
}
],
"questions": [
{
"id": "<string>",
"text": "<string>",
"type": "open",
"choices": [
{
"id": "<string>",
"label": "<string>",
"maps_to_value": "<unknown>"
}
],
"sub_objective_id": "<string>",
"active": true
}
],
"configuration_version": "<string>",
"draft_revision": 123,
"published_at": "2023-11-07T05:31:56Z"
}{
"code": "unauthorized",
"message": "<string>",
"request_id": "<string>",
"details": {}
}{
"code": "unauthorized",
"message": "<string>",
"request_id": "<string>",
"details": {}
}{
"code": "unauthorized",
"message": "<string>",
"request_id": "<string>",
"details": {}
}Configuration
Get the configuration
Read the published configuration, or the current draft when the required scope is present.
GET
/
v1
/
configuration
Get the configuration
curl --request GET \
--url https://api.zelinqa.ai/v1/configuration \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.zelinqa.ai/v1/configuration"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.zelinqa.ai/v1/configuration', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"request_id": "<string>",
"state": "published",
"objective": {
"name": "<string>",
"qualification_level": "essential",
"max_turns": 50,
"candidates_per_call": 5,
"order_strength": 0.5
},
"sub_objectives": [
{
"id": "<string>",
"name": "<string>",
"order_position": 1,
"completion_role": "blocking"
}
],
"success_informations": [
{
"id": "<string>",
"label": "<string>",
"schema": {},
"primary_question_id": "<string>"
}
],
"questions": [
{
"id": "<string>",
"text": "<string>",
"type": "open",
"choices": [
{
"id": "<string>",
"label": "<string>",
"maps_to_value": "<unknown>"
}
],
"sub_objective_id": "<string>",
"active": true
}
],
"configuration_version": "<string>",
"draft_revision": 123,
"published_at": "2023-11-07T05:31:56Z"
}{
"code": "unauthorized",
"message": "<string>",
"request_id": "<string>",
"details": {}
}{
"code": "unauthorized",
"message": "<string>",
"request_id": "<string>",
"details": {}
}{
"code": "unauthorized",
"message": "<string>",
"request_id": "<string>",
"details": {}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Available options:
published, draft Response
Successful response.
Available options:
published, draft Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes